Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
_BBuf Struct Reference

`#include <regint.h>`

## Data Fields
UChar * | p
unsigned int | used
unsigned int | alloc

## Detailed Description

Definition at line 420 of file regint.h.

## Field Documentation

unsigned int _BBuf::alloc

Definition at line 423 of file regint.h.

Referenced by bbuf_clone(), node_new_cclass_by_codepoint_range(), and onig_bbuf_init().

UChar* _BBuf::p

Definition at line 421 of file regint.h.

Referenced by add_code_range_to_buf0(), add_multi_byte_cclass(), and_code_range_buf(), bbuf_clone(), bbuf_free(), is_onechar_cclass(), node_new_cclass_by_codepoint_range(), not_code_range_buf(), onig_bbuf_init(), onig_is_code_in_cc_len(), and or_code_range_buf().

unsigned int _BBuf::used

Definition at line 422 of file regint.h.

Referenced by add_multi_byte_cclass(), bbuf_clone(), compile_length_cclass_node(), node_new_cclass_by_codepoint_range(), and onig_bbuf_init().

The documentation for this struct was generated from the following file:

- regint.h